from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File

Rsample_V0_1_0 = CommandToolBuilder(tool="Rsample", base_command=["Rsample"], inputs=[ToolInput(tag="in_dna", input_type=Boolean(optional=True), prefix="--DNA", doc=InputDocumentation(doc="Specify that the sequence is DNA, and DNA parameters are to be used.\nDefault is to use RNA parameters.")), ToolInput(tag="in_c_param", input_type=Boolean(optional=True), prefix="--cparam", doc=InputDocumentation(doc="Specify a C parameter used in Rsample calculations.\nDefault is 0.5 kcal/mol.")), ToolInput(tag="in_max_distance", input_type=Boolean(optional=True), prefix="--maxdistance", doc=InputDocumentation(doc="Specify a maximum pairing distance between nucleotides.\nDefault is no restriction on distance between pairs.")), ToolInput(tag="in_num_samples", input_type=Boolean(optional=True), prefix="--numsamples", doc=InputDocumentation(doc="Specify number of samples for stochastic sampling calculation used in\nRsample.\nDefault is 10,000.")), ToolInput(tag="in_offset", input_type=Boolean(optional=True), prefix="--offset", doc=InputDocumentation(doc="Specify an Offset parameter used in Rsample calculations.\nDefault is 1.1 kcal/mol.")), ToolInput(tag="in_react_paired_end", input_type=Boolean(optional=True), prefix="--reactPairedEnd", doc=InputDocumentation(doc="Give full path to file with end-of-helix paired nucleotide reactivities\ndataset.\nDefault values are in rsample directory in $DATAPATH.")), ToolInput(tag="in_react_paired_middle", input_type=Boolean(optional=True), prefix="--reactPairedMiddle", doc=InputDocumentation(doc="Give full path to file with middle-of-helix paired nucleotide reactivities\ndataset.\nDefault values are in rsample directory in $DATAPATH")), ToolInput(tag="in_react_unpaired", input_type=Boolean(optional=True), prefix="--reactUnpaired", doc=InputDocumentation(doc="Give full path to file with unpaired nucleotide reactivities dataset.\nDefault values are in rsample directory in $DATAPATH")), ToolInput(tag="in_seed", input_type=Boolean(optional=True), prefix="--seed", doc=InputDocumentation(doc="Specify a random seed.\nDefault is to set random seed from current time.")), ToolInput(tag="in_temperature", input_type=Boolean(optional=True), prefix="--temperature", doc=InputDocumentation(doc="Specify the temperature at which calculation takes place in Kelvin.\nDefault is 310.15 K, which is 37 degrees C.\n")), ToolInput(tag="in_seq_file", input_type=File(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_shape_file", input_type=File(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_pfs_file", input_type=File(), position=2, doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Rsample_V0_1_0().translate("wdl", allow_empty_container=True)

